# slim.resnet ops

Package ops:

    >>> run("guild ops slim.resnet", ignore="FutureWarning") # doctest: +REPORT_UDIFF
    slim.resnet/slim-resnet-101:evaluate     Evaluate a trained ResNet-101 model
    slim.resnet/slim-resnet-101:export       Generate a ResNet-101 graph def
    slim.resnet/slim-resnet-101:finetune     Fine tune a ResNet-101 model
    slim.resnet/slim-resnet-101:freeze       Generate a ResNet-101 graph def with checkpoint weights
    slim.resnet/slim-resnet-101:predict      Use TensorFlow label_image and ResNet-101 to classify an image
    slim.resnet/slim-resnet-101:train        Train a ResNet-101 model
    slim.resnet/slim-resnet-152:evaluate     Evaluate a trained ResNet-152 model
    slim.resnet/slim-resnet-152:export       Generate a ResNet-152 graph def
    slim.resnet/slim-resnet-152:finetune     Fine tune a ResNet-152 model
    slim.resnet/slim-resnet-152:freeze       Generate a ResNet-152 graph def with checkpoint weights
    slim.resnet/slim-resnet-152:predict      Use TensorFlow label_image and ResNet-152 to classify an image
    slim.resnet/slim-resnet-152:train        Train a ResNet-152 model
    slim.resnet/slim-resnet-200:evaluate     Evaluate a trained ResNet-200 model
    slim.resnet/slim-resnet-200:export       Generate a ResNet-200 graph def
    slim.resnet/slim-resnet-200:freeze       Generate a ResNet-200 graph def with checkpoint weights
    slim.resnet/slim-resnet-200:predict      Use TensorFlow label_image and ResNet-200 to classify an image
    slim.resnet/slim-resnet-200:train        Train a ResNet-200 model
    slim.resnet/slim-resnet-50:evaluate      Evaluate a trained ResNet-50 model
    slim.resnet/slim-resnet-50:export        Generate a ResNet-50 graph def
    slim.resnet/slim-resnet-50:finetune      Fine tune a ResNet-50 model
    slim.resnet/slim-resnet-50:freeze        Generate a ResNet-50 graph def with checkpoint weights
    slim.resnet/slim-resnet-50:predict       Use TensorFlow label_image and ResNet-50 to classify an image
    slim.resnet/slim-resnet-50:train         Train a ResNet-50 model
    slim.resnet/slim-resnet-v2-101:evaluate  Evaluate a trained ResNet-v2-101 model
    slim.resnet/slim-resnet-v2-101:export    Generate a ResNet-v2-101 graph def
    slim.resnet/slim-resnet-v2-101:finetune  Fine tune a ResNet-v2-101 model
    slim.resnet/slim-resnet-v2-101:freeze    Generate a ResNet-v2-101 graph def with checkpoint weights
    slim.resnet/slim-resnet-v2-101:predict   Use TensorFlow label_image and ResNet-v2-101 to classify an image
    slim.resnet/slim-resnet-v2-101:train     Train a ResNet-v2-101 model
    slim.resnet/slim-resnet-v2-152:evaluate  Evaluate a trained ResNet-v2-152 model
    slim.resnet/slim-resnet-v2-152:export    Generate a ResNet-v2-152 graph def
    slim.resnet/slim-resnet-v2-152:finetune  Fine tune a ResNet-v2-152 model
    slim.resnet/slim-resnet-v2-152:freeze    Generate a ResNet-v2-152 graph def with checkpoint weights
    slim.resnet/slim-resnet-v2-152:predict   Use TensorFlow label_image and ResNet-v2-152 to classify an image
    slim.resnet/slim-resnet-v2-152:train     Train a ResNet-v2-152 model
    slim.resnet/slim-resnet-v2-200:evaluate  Evaluate a trained ResNet-v2-200 model
    slim.resnet/slim-resnet-v2-200:export    Generate a ResNet-v2-200 graph def
    slim.resnet/slim-resnet-v2-200:freeze    Generate a ResNet-v2-200 graph def with checkpoint weights
    slim.resnet/slim-resnet-v2-200:predict   Use TensorFlow label_image and ResNet-v2-200 to classify an image
    slim.resnet/slim-resnet-v2-200:train     Train a ResNet-v2-200 model
    slim.resnet/slim-resnet-v2-50:evaluate   Evaluate a trained ResNet-v2-50 model
    slim.resnet/slim-resnet-v2-50:export     Generate a ResNet-v2-50 graph def
    slim.resnet/slim-resnet-v2-50:finetune   Fine tune a ResNet-v2-50 model
    slim.resnet/slim-resnet-v2-50:freeze     Generate a ResNet-v2-50 graph def with checkpoint weights
    slim.resnet/slim-resnet-v2-50:predict    Use TensorFlow label_image and ResNet-v2-50 to classify an image
    slim.resnet/slim-resnet-v2-50:train      Train a ResNet-v2-50 model
    <exit 0>

Related ops (datasets):

    >>> run("guild ops slim.datasets", ignore="FutureWarning") # doctest: +REPORT_UDIFF
    slim.datasets/slim-cifar10:prepare        Prepare the CIFAR-10 dataset
    slim.datasets/slim-custom-images:prepare  Prepare a custom images dataset
    slim.datasets/slim-flowers:prepare        Prepare the Flickr flowers dataset
    slim.datasets/slim-mnist:prepare          Prepare the MNIST dataset
    <exit 0>
